Updating from 3.26

More
3 months 3 weeks ago - 3 months 3 weeks ago #220149 by limesurvey_asker
Dear Forum,

Can I update from 3.26 to latest version (5.1.13) by simply replacing the old source code with the new one (and leaving the upload folder and the config.php file untouched)? Would that cause major changes in templates or appearance of the surveys?
Or if I just update to current LTS release, what would be the difference? Both releases have same security, right?

thanks,
limesurvey_asker
Last edit: 3 months 3 weeks ago by limesurvey_asker.

Please Log in to join the conversation.

More
3 months 3 weeks ago #220173 by holch
Replied by holch on topic Updating from 3.26

Would that cause major changes in templates or appearance of the surveys?

Templates are not compatible between LS3 and LS5. However, this is really just relevant if you have a custom template/theme. They standard themes look very similar.

Or if I just update to current LTS release, what would be the difference? Both releases have same security, right?


The difference is, that LS 3 LTS will be probably end of life at the end of this year. From then on it will only receive security updates, but no bug fixes and of course no new features.

You can update from LS3 to LS5 via Comfortupdate, so I assume a manual update should be no problem. However, like always, backup your old installation (download a copy of the installation and all files) as well as the database (save a copy of the database as backup).

As LS is for free, if you are worried, you can always create a copy of your current installation for testing the update. Run the two LS3 versions in parallel, one for production, the other one for testing (use a copy of the database as well!) and then run the update to LS5 and see what happens. Will take you maybe 1h of your time, as installing LS is quick and so is updating.

I answer at the LimeSurvey forum in my spare time, I'm not a LimeSurvey GmbH employee.
No support via private message.

Please Log in to join the conversation.

More
3 months 3 weeks ago #220187 by DenisChenu
Replied by DenisChenu on topic Updating from 3.26

Would that cause major changes in templates or appearance of the surveys?

Templates are not compatible between LS3 and LS5. However, this is really just relevant if you have a custom template/theme. They standard themes look very similar.

 

The major issue here is the config.xml compatibility check.
I think a lot of user template can be compatible , just updating config.xml …
 

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand , plugin development . I don't answer to private message.
The following user(s) said Thank You: holch, tpartner

Please Log in to join the conversation.

More
3 months 3 weeks ago - 3 months 3 weeks ago #220234 by limesurvey_asker
Replied by limesurvey_asker on topic Updating from 3.26
Thanks for your tips! My survey will only be up for a little after end of 2021, so I will chose to update from 3.26 to LTS.

Question: As I can't do the comfortupdate, I would like to replace the old source code with the new one and leaving the upload folder and the config.php file where they are untouched. Would that work?
Last edit: 3 months 3 weeks ago by limesurvey_asker.

Please Log in to join the conversation.

More
3 months 3 weeks ago #220248 by DenisChenu
Replied by DenisChenu on topic Updating from 3.26

Question: As I can't do the comfortupdate, I would like to replace the old source code with the new one and leaving the upload folder and the config.php file where they are untouched. Would that work?
 

Yes

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand , plugin development . I don't answer to private message.

Please Log in to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now